设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 533|回复: 0

[矩形] 【矩形】中心矩形

[复制链接]

已领礼包: 20个

财富等级: 恭喜发财

发表于 2020-7-6 17:09:58 | 显示全部楼层 |阅读模式
  • 插件名称 : 中心矩形
  • 作  者 : marting
  • 运行环境 :XDRX API 晓东工具箱 
  • 发布时间 :2020-07-06
  • 命令名称 :xdtb_rectcen
  • 插件介绍 :中心矩形
  • 备  注 : (点击图片可以放大)
(点击图片可以放大)

晓东温馨提示 1、运行环境为 晓东工具箱XDRX API 的插件,请下载最新版本的 晓东工具箱XDRX API开发环境 一键安装
2、在ACAD中如何加载插件,请看 论坛插件使用方法
3、如果您有要求需要定制插件,请到 编程申请 论坛发帖求助

插件详细内容

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
  1. (defun c:xdtb_rectcen (/ box)
  2.   (xdrx-begin)
  3.   (xd::doc:getdouble "\n矩形长" "#xd-var-global-length" 10.0)
  4.   (xd::doc:getdouble "\n矩形宽" "#xd-var-global-width" 10.0)
  5.   (xdrx-sysvar-push '("osmode" 545))
  6.   (setq        box (xdrx_points->offsetbox
  7.               '(0 0 0)
  8.               (list #xd-var-global-length 0.0 0.0)
  9.               (/ #xd-var-global-width 2.0)
  10.               (/ #xd-var-global-width 2.0)
  11.               0.0
  12.               0.0
  13.             )
  14.   )
  15.   (xdrx-polyline-make box t)
  16.   (while (xd::drag:move "\n插入点" (entlast) 5 7)
  17.     (xdrx-entity-copy (entlast))
  18.   )
  19.   (xdrx-entity-delete (entlast))
  20.   (xdrx-end)
  21.   (princ)
  22. )


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-9-22 01:39 , Processed in 0.787390 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表